## repmgr 2.0~beta2

=== Makefile ===
#
# Makefile
# Copyright (c) 2ndQuadrant, 2010-2012

repmgrd_OBJS = dbutils.o config.o repmgrd.o log.o strutil.o
repmgr_OBJS = dbutils.o check_dir.o config.o repmgr.o log.o strutil.o

DATA = repmgr.sql uninstall_repmgr.sql

PG_CPPFLAGS = -I$(libpq_srcdir)
PG_LIBS = $(libpq_pgport)

all:  repmgrd repmgr
	$(MAKE) -C sql

repmgrd: $(repmgrd_OBJS)
	$(CC) $(CFLAGS) $(repmgrd_OBJS) $(PG_LIBS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o repmgrd
	$(MAKE) -C sql

repmgr: $(repmgr_OBJS)
	$(CC) $(CFLAGS) $(repmgr_OBJS) $(PG_LIBS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o repmgr

ifdef USE_PGXS
PGXS := $(shell pg_config --pgxs)
include $(PGXS)
else
subdir = contrib/repmgr
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

# XXX: Try to use PROGRAM construct (see pgxs.mk) someday. Right now
# is overriding pgxs install.
install:
	$(INSTALL_PROGRAM) repmgrd$(X) '$(DESTDIR)$(bindir)'
	$(INSTALL_PROGRAM) repmgr$(X) '$(DESTDIR)$(bindir)'
	$(MAKE) -C sql install

ifneq (,$(DATA)$(DATA_built))
	@for file in $(addprefix $(srcdir)/, $(DATA)) $(DATA_built); do \
	  echo "$(INSTALL_DATA) $$file '$(DESTDIR)$(datadir)/$(datamoduledir)'"; \
	  $(INSTALL_DATA) $$file '$(DESTDIR)$(datadir)/$(datamoduledir)'; \
	done
endif

clean:
	rm -f *.o
	rm -f repmgrd
	rm -f repmgr
	$(MAKE) -C sql clean

deb: repmgrd repmgr
	mkdir -p ./debian/usr/bin
	cp repmgrd repmgr ./debian/usr/bin/
	mkdir -p ./debian/usr/share/postgresql/9.0/contrib/
	cp sql/repmgr_funcs.sql ./debian/usr/share/postgresql/9.0/contrib/
	cp sql/uninstall_repmgr_funcs.sql ./debian/usr/share/postgresql/9.0/contrib/
	mkdir -p ./debian/usr/lib/postgresql/9.0/lib/
	cp sql/repmgr_funcs.so ./debian/usr/lib/postgresql/9.0/lib/
	dpkg-deb --build debian
	mv debian.deb ../postgresql-repmgr-9.0_1.0.0.deb
	rm -rf ./debian/usr

=== sql/Makefile ===
#
# Makefile
# Copyright (c) 2ndQuadrant, 2010
#

MODULE_big = repmgr_funcs
DATA_built=repmgr_funcs.sql
DATA=uninstall_repmgr_funcs.sql
OBJS=repmgr_funcs.o

ifdef USE_PGXS
PGXS := $(shell pg_config --pgxs)
include $(PGXS)
else
subdir = contrib/repmgr/sql
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

## repmgr 2.0~beta1

=== debian/changelog ===
repmgr (2.0~beta1-2) unstable; urgency=low

  * Add debugging symbols package repmgr-dbg

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 13 Nov 2012 11:40:12 +0100

repmgr (2.0~beta1-1) unstable; urgency=low

  * Initial release (Closes: #609719)

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 07 Nov 2012 13:00:27 +0100

=== debian/control ===
Source: repmgr
Section: database
Priority: extra
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all,
 libedit-dev,
 libpam-dev,
 libxml2-dev,
 libxslt1-dev
Standards-Version: 3.9.4.0
Homepage: http://www.repmgr.org/

Package: repmgr
Architecture: any
Depends: postgresql-common (>= 26), rsync, ${misc:Depends}, ${shlibs:Depends}
Description: replication manager for PostgreSQL
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.

Package: repmgr-dbg
Section: debug
Architecture: any
Depends: repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: debug symbols for repmgr
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains debug symbols for repmgr.

Package: postgresql-9.1-repmgr
Architecture: any
Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}
Description: replication manager support modules for PostgreSQL 9.1
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains the repmgr support module for PostgreSQL 9.1.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SRCDIR = .
include /usr/share/postgresql-common/pgxs_debian_control.mk
clean: debian/control
.PHONY: debian/control

CFLAGS += -g

LDFLAGS += -Wl,--as-needed

MAKEFLAGS += USE_PGXS=1

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=repmgr-dbg

.PHONY: override_dh_auto_install
override_dh_auto_install:
	dh_auto_install
	set -e ; \
	for v in `pg_buildext supported-versions .` ; do \
		echo "# $$v ##################################################################" ; \
		PG_CONFIG=/usr/lib/postgresql/$$v/bin/pg_config ; \
		BASE=$(CURDIR)/debian/postgresql-$$v-repmgr ; \
		$(MAKE) clean PG_CONFIG=$$PG_CONFIG ; \
		mkdir -p $$BASE/usr/share/postgresql/$$v/contrib ; \
		$(MAKE) install_ext DESTDIR=$$BASE PG_CONFIG=$$PG_CONFIG ; \
	done ; \
	$(MAKE) all PG_CONFIG=$$PG_CONFIG ; \
	BASE=$(CURDIR)/debian/repmgr ; \
	mkdir -p $$BASE/usr/bin $$BASE/usr/lib/postgresql/$$v/bin ; \
	$(MAKE) install_prog DESTDIR=$$BASE PG_CONFIG=$$PG_CONFIG ; \
	mv $$BASE/usr/lib/postgresql/$$v/bin/* $$BASE/usr/bin ; \
	rmdir -p --ignore-fail-on-non-empty $$BASE/usr/lib/postgresql/$$v/bin

%:
	dh $@

=== debian/watch ===
version=3
opts="uversionmangle=s/(alpha|beta|rc)/$1~$2/,filenamemangle=s/(repmgr-.+?)(alpha|beta|rc)/$1~$2/" \
http://www.repmgr.org/download/ repmgr-(.+)\.tar\.gz

## repmgr 2.0~beta2

=== debian/changelog ===
repmgr (2.0~beta2-3) unstable; urgency=low

  [ Christoph Berg ]
  * Add basic regression tests and run them with autopkgtest

  [ Marco Nenciarini ]
  * Update debian-makefile patch to build repmgr_funcs.so against the right
    PostgreSQL version
  * Add format-attribute-check patch

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 31 Dec 2013 20:27:06 +0100

repmgr (2.0~beta2-2) unstable; urgency=low

  * Fix missing reference to bug #724216 in 2.0~beta2-1 changelog

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 27 Dec 2013 09:15:46 +0100

repmgr (2.0~beta2-1) unstable; urgency=low

  * Fix version mangling in debian/watch
  * Add Vcs-* fields in control file
  * Support PostgreSQL 9.3 version
  * Imported Upstream version 2.0~beta2 (Closes: #724216)
  * Removed lintian-spelling patch, fixed upstream.
  * Remove useless dh_auto_install call in override_dh_auto_install target
    from debian/rules
  * Bump standard version to 3.9.5.0 (no-chenges)
  * Canonicalize VCS-* field URI in debian/control

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 26 Dec 2013 19:45:38 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,11 @@
  libpam-dev,
  libxml2-dev,
  libxslt1-dev
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.5.0
 Homepage: http://www.repmgr.org/
+Vcs-Git: git://anonscm.debian.org/collab-maint/repmgr.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/repmgr.git;a=summary
+XS-Testsuite: autopkgtest
 
 Package: repmgr
 Architecture: any
@@ -41,10 +44,10 @@
  .
  This package contains debug symbols for repmgr.
 
-Package: postgresql-9.1-repmgr
+Package: postgresql-9.3-repmgr
 Architecture: any
-Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}
-Description: replication manager support modules for PostgreSQL 9.1
+Depends: postgresql-9.3, ${misc:Depends}, ${shlibs:Depends}
+Description: replication manager support modules for PostgreSQL 9.3
  Since version 9.0, PostgreSQL allow you to have replicated hot
  standby servers which you can query and/or use for high availability.
  While the main components of the feature are included with
@@ -54,5 +57,5 @@
  repmgr allows you to monitor and manage your replicated PostgreSQL
  databases as a single cluster.
  .
- This package contains the repmgr support module for PostgreSQL 9.1.
+ This package contains the repmgr support module for PostgreSQL 9.3.

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,17 @@
 
 MAKEFLAGS += USE_PGXS=1
 
+.PHONY: override_dh_auto_clean
+override_dh_auto_clean:
+	$(MAKE) clean USE_PGXS=1
+	rm -rf regression.* results/
+
 .PHONY: override_dh_strip
 override_dh_strip:
 	dh_strip --dbg-package=repmgr-dbg
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
-	dh_auto_install
 	set -e ; \
 	for v in `pg_buildext supported-versions .` ; do \
 		echo "# $$v ##################################################################" ; \

=== debian/watch ===
version=3
opts="uversionmangle=s/(alpha|beta|rc)/~$1/,filenamemangle=s/(repmgr-.+?)(alpha|beta|rc)/$1~$2/" \
http://www.repmgr.org/download/ repmgr-(.+)\.tar\.gz

## repmgr 2.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile
-# Copyright (c) 2ndQuadrant, 2010-2012
+# Copyright (c) 2ndQuadrant, 2010-2014
 
 repmgrd_OBJS = dbutils.o config.o repmgrd.o log.o strutil.o
 repmgr_OBJS = dbutils.o check_dir.o config.o repmgr.o log.o strutil.o
@@ -21,7 +21,8 @@
 	$(CC) $(CFLAGS) $(repmgr_OBJS) $(PG_LIBS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o repmgr
 
 ifdef USE_PGXS
-PGXS := $(shell pg_config --pgxs)
+PG_CONFIG = pg_config
+PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 else
 subdir = contrib/repmgr
@@ -32,9 +33,13 @@
 
 # XXX: Try to use PROGRAM construct (see pgxs.mk) someday. Right now
 # is overriding pgxs install.
-install:
+install: install_prog install_ext
+
+install_prog:
 	$(INSTALL_PROGRAM) repmgrd$(X) '$(DESTDIR)$(bindir)'
 	$(INSTALL_PROGRAM) repmgr$(X) '$(DESTDIR)$(bindir)'
+
+install_ext:
 	$(MAKE) -C sql install
 
 ifneq (,$(DATA)$(DATA_built))

=== debian/changelog ===
repmgr (2.0-2.pgdg60+1) squeeze-pgdg; urgency=low

  * Rebuild for squeeze-pgdg (jenkins-repmgr-source-
    distribution=squeeze-14, git revision
    c2ca51cacfe3ea9891761a5682a93c122b80d729)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Tue, 25 Mar 2014 23:33:24 +0100

repmgr (2.0-2) unstable; urgency=medium

  * Split out REPMGRD_CONF from REPMGRD_OPTS variable in default file.
    Change the init script to check if REPMGRD_CONF is set. The
    REPMGRD_OPTS is now optional.
  * Change the init script to use repmgrd native ability to daemonize and
    write a pidfile

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 25 Mar 2014 20:02:42 +0100

repmgr (2.0-1) unstable; urgency=medium

  * Imported Upstream version 2.0
  * Add --background option to repmgrd init script start action and fix
    status action.  Thanks to József Kószó
  * Use "-f" instead of "--config_file" in REPMGRD_OPTS variable of
    repmgrd default file
  * Remove "set -e" from the repmgrd init script

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 21 Mar 2014 23:09:21 +0100

repmgr (2.0~rc2-1) unstable; urgency=medium

  * Update watch file to correctly mangle uppercase RC versions
  * Imported Upstream version 2.0~rc2
  * Update debian patches
  * Add autofailover_quick_setup.rst to installed documents
  * Install repmgr.sql and uninstall_repmgr.sql as examples
  * Add repmgrd init script

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 04 Mar 2014 16:41:10 +0100

=== debian/control ===
--- 
+++ 
@@ -44,6 +44,51 @@
  .
  This package contains debug symbols for repmgr.
 
+Package: postgresql-9.0-repmgr
+Architecture: any
+Depends: postgresql-9.0, ${misc:Depends}, ${shlibs:Depends}
+Description: replication manager support modules for PostgreSQL 9.0
+ Since version 9.0, PostgreSQL allow you to have replicated hot
+ standby servers which you can query and/or use for high availability.
+ While the main components of the feature are included with
+ PostgreSQL, the user is expected to manage the high availability
+ parts.
+ .
+ repmgr allows you to monitor and manage your replicated PostgreSQL
+ databases as a single cluster.
+ .
+ This package contains the repmgr support module for PostgreSQL 9.0.
+
+Package: postgresql-9.1-repmgr
+Architecture: any
+Depends: postgresql-9.1, ${misc:Depends}, ${shlibs:Depends}
+Description: replication manager support modules for PostgreSQL 9.1
+ Since version 9.0, PostgreSQL allow you to have replicated hot
+ standby servers which you can query and/or use for high availability.
+ While the main components of the feature are included with
+ PostgreSQL, the user is expected to manage the high availability
+ parts.
+ .
+ repmgr allows you to monitor and manage your replicated PostgreSQL
+ databases as a single cluster.
+ .
+ This package contains the repmgr support module for PostgreSQL 9.1.
+
+Package: postgresql-9.2-repmgr
+Architecture: any
+Depends: postgresql-9.2, ${misc:Depends}, ${shlibs:Depends}
+Description: replication manager support modules for PostgreSQL 9.2
+ Since version 9.0, PostgreSQL allow you to have replicated hot
+ standby servers which you can query and/or use for high availability.
+ While the main components of the feature are included with
+ PostgreSQL, the user is expected to manage the high availability
+ parts.
+ .
+ repmgr allows you to monitor and manage your replicated PostgreSQL
+ databases as a single cluster.
+ .
+ This package contains the repmgr support module for PostgreSQL 9.2.
+
 Package: postgresql-9.3-repmgr
 Architecture: any
 Depends: postgresql-9.3, ${misc:Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -42,5 +42,9 @@
 	mv $$BASE/usr/lib/postgresql/$$v/bin/* $$BASE/usr/bin ; \
 	rmdir -p --ignore-fail-on-non-empty $$BASE/usr/lib/postgresql/$$v/bin
 
+.PHONY: override_dh_strip
+override_dh_installinit:
+	dh_installinit --name=repmgrd
+
 %:
 	dh $@

=== debian/watch ===
version=3
opts="uversionmangle=s/((?i)alpha|beta|rc)/~\L$1\E/,filenamemangle=s/(repmgr-.+?)((?i)alpha|beta|rc)/$1~\L$2\E/" \
http://www.repmgr.org/download/ repmgr-(.+)\.tar\.gz

## repmgr 3.0.1

=== debian/changelog ===
repmgr (3.0.1-5) unstable; urgency=medium

  * Add missing pg_wrapper links for repmgr and repmgrd (Closes: #784984)

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 15 May 2015 13:31:53 +0200

repmgr (3.0.1-4) unstable; urgency=medium

  * Add repmgr-dbg transitional dummy package, to smooth the upgrade.

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 30 Apr 2015 12:23:37 +0200

repmgr (3.0.1-3) unstable; urgency=medium

  * Fix empty -dbg packages when supporting multiple PostgreSQL versions

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 29 Apr 2015 13:46:35 +0200

repmgr (3.0.1-2) unstable; urgency=medium

  * Move init scripts under repmgr-common package
  * Mark repmgr as metapackage

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 28 Apr 2015 18:37:36 +0200

repmgr (3.0.1-1) unstable; urgency=medium

  * Imported Upstream version 3.0.1
  * Move the repository under pkg-postgresql project
  * debian/watch: enable cryptographic signature verification
  * Filter debian/* directory during gbp import-orig
  * Set debhelper compatibility level to 9
  * Bump Standards-Version to 3.9.6, no changes required
  * Move repmgr under pg_wrapper.
  * Remove manpages. They are badly outdated.
  * Updated debian/copyright

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 24 Apr 2015 17:34:57 +0200

repmgr (2.0-3) unstable; urgency=medium

  [ Christoph Berg ]
  * debian/rules: Remove $(LIBS) from repmgr(d), it isn't needed and would
    needlessly require a build-dependency on selinux now that PostgreSQL 9.4
    build-depends on it.

  [ Marco Nenciarini ]
  * Use "9.0+" in debian/pgversions and B-D on pg-server-dev-all 148.

 -- Marco Nenciarini <mnencia@debian.org>  Sun, 27 Jul 2014 11:53:22 +0200

=== debian/control ===
Source: repmgr
Section: database
Priority: extra
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all (>= 148~),
 libedit-dev,
 libpam-dev,
 libxml2-dev,
 libxslt1-dev
Standards-Version: 3.9.6
Homepage: http://www.repmgr.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/repmgr.git
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/repmgr.git
XS-Testsuite: autopkgtest

Package: repmgr-common
Architecture: all
Depends:
 postgresql-common (>= 26),
 ${misc:Depends}
Replaces: repmgr (<< 3.0.1-1)
Breaks: repmgr (<< 3.0.1-1)
Description: replication manager for PostgreSQL common files
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains repmgr files common to all versions.

Package: repmgr
Architecture: all
Depends:
 postgresql-9.4-repmgr |
 postgresql-9.3-repmgr |
 postgresql-9.2-repmgr |
 postgresql-9.1-repmgr |
 postgresql-9.0-repmgr,
 ${misc:Depends}
Description: replication manager for PostgreSQL (metapackage)
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This is a metapackage that depends on the version specific packages.

Package: repmgr-dbg
Section: debug
Architecture: all
Depends:
 postgresql-9.4-repmgr-dbg |
 postgresql-9.3-repmgr-dbg |
 postgresql-9.2-repmgr-dbg |
 postgresql-9.1-repmgr-dbg |
 postgresql-9.0-repmgr-dbg,
 ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: postgresql-9.4-repmgr
Architecture: any
Depends: postgresql-9.4, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 9.4
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains repmgr for PostgreSQL 9.4.

Package: postgresql-9.4-repmgr-dbg
Section: debug
Architecture: any
Depends: postgresql-9.4-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Replaces: repmgr-dbg (<< 3.0.1-1)
Breaks: repmgr-dbg (<< 3.0.1-1)
Description: debug symbols for repmgr for PostgreSQL 9.4
 Since version 9.0, PostgreSQL allow you to have replicated hot
 standby servers which you can query and/or use for high availability.
 While the main components of the feature are included with
 PostgreSQL, the user is expected to manage the high availability
 parts.
 .
 repmgr allows you to monitor and manage your replicated PostgreSQL
 databases as a single cluster.
 .
 This package contains debug symbols for repmgr for PostgreSQL 9.4.

## repmgr 3.0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile
-# Copyright (c) 2ndQuadrant, 2010-2014
+# Copyright (c) 2ndQuadrant, 2010-2015
 
 repmgrd_OBJS = dbutils.o config.o repmgrd.o log.o strutil.o
 repmgr_OBJS = dbutils.o check_dir.o config.o repmgr.o log.o strutil.o
@@ -36,11 +36,23 @@
 install: install_prog install_ext
 
 install_prog:
-	$(INSTALL_PROGRAM) repmgrd$(X) '$(DESTDIR)$(bindir)'
-	$(INSTALL_PROGRAM) repmgr$(X) '$(DESTDIR)$(bindir)'
+	mkdir -p '$(DESTDIR)$(bindir)'
+	$(INSTALL_PROGRAM) repmgrd$(X) '$(DESTDIR)$(bindir)/'
+	$(INSTALL_PROGRAM) repmgr$(X) '$(DESTDIR)$(bindir)/'
 
 install_ext:
 	$(MAKE) -C sql install
+
+install_rhel:
+	mkdir -p '$(DESTDIR)/etc/init.d/'
+	$(INSTALL_PROGRAM) RHEL/repmgrd.init '$(DESTDIR)/etc/init.d/repmgrd'
+	mkdir -p '$(DESTDIR)/etc/sysconfig/'
+	$(INSTALL_PROGRAM) RHEL/repmgrd.sysconfig '$(DESTDIR)/etc/sysconfig/repmgrd'
+	mkdir -p '$(DESTDIR)/etc/repmgr/'
+	$(INSTALL_PROGRAM) repmgr.conf.sample '$(DESTDIR)/etc/repmgr/'
+	mkdir -p '$(DESTDIR)/usr/bin/'
+	$(INSTALL_PROGRAM) repmgrd$(X) '$(DESTDIR)/usr/bin/'
+	$(INSTALL_PROGRAM) repmgr$(X) '$(DESTDIR)/usr/bin/'
 
 ifneq (,$(DATA)$(DATA_built))
 	@for file in $(addprefix $(srcdir)/, $(DATA)) $(DATA_built); do \
@@ -67,3 +79,4 @@
 	mv debian.deb ../postgresql-repmgr-9.0_1.0.0.deb
 	rm -rf ./debian/usr
 
+

=== sql/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #
 # Makefile
-# Copyright (c) 2ndQuadrant, 2010
+#
+# Copyright (c) 2ndQuadrant, 2010-2015
 #
 
 MODULE_big = repmgr_funcs
@@ -9,7 +10,8 @@
 OBJS=repmgr_funcs.o
 
 ifdef USE_PGXS
-PGXS := $(shell pg_config --pgxs)
+PG_CONFIG = pg_config
+PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 else
 subdir = contrib/repmgr/sql

=== debian/changelog ===
repmgr (3.0.3-2) unstable; urgency=medium

  * Update debian/changelog to refer the postgresql-9.5 transition RC bug.

 -- Marco Nenciarini <mnencia@debian.org>  Sat, 23 Jan 2016 10:08:27 +0100

repmgr (3.0.3-1) unstable; urgency=medium

  * Update for postgresql-9.5 transition (Closes: #811139)
  * Fix build on PostgreSQL older than the current libpq
  * Imported Upstream version 3.0.3

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 22 Jan 2016 14:50:10 +0100

repmgr (3.0.2-2) unstable; urgency=medium

  * Fix stop action in init script. It was broken by the switch to
    pg_wrapper usage.

 -- Marco Nenciarini <mnencia@debian.org>  Fri, 16 Oct 2015 18:02:17 +0200

repmgr (3.0.2-1) unstable; urgency=medium

  * Imported Upstream version 3.0.2

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 13 Oct 2015 18:08:45 +0200

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
 Package: repmgr
 Architecture: all
 Depends:
+ postgresql-9.5-repmgr |
  postgresql-9.4-repmgr |
  postgresql-9.3-repmgr |
  postgresql-9.2-repmgr |
@@ -59,6 +60,7 @@
 Section: debug
 Architecture: all
 Depends:
+ postgresql-9.5-repmgr-dbg |
  postgresql-9.4-repmgr-dbg |
  postgresql-9.3-repmgr-dbg |
  postgresql-9.2-repmgr-dbg |
@@ -68,11 +70,11 @@
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 
-Package: postgresql-9.4-repmgr
+Package: postgresql-9.5-repmgr
 Architecture: any
-Depends: postgresql-9.4, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-9.5, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: rsync
-Description: replication manager for PostgreSQL 9.4
+Description: replication manager for PostgreSQL 9.5
  Since version 9.0, PostgreSQL allow you to have replicated hot
  standby servers which you can query and/or use for high availability.
  While the main components of the feature are included with
@@ -82,15 +84,15 @@
  repmgr allows you to monitor and manage your replicated PostgreSQL
  databases as a single cluster.
  .
- This package contains repmgr for PostgreSQL 9.4.
+ This package contains repmgr for PostgreSQL 9.5.
 
-Package: postgresql-9.4-repmgr-dbg
+Package: postgresql-9.5-repmgr-dbg
 Section: debug
 Architecture: any
-Depends: postgresql-9.4-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-9.5-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: repmgr-dbg (<< 3.0.1-1)
 Breaks: repmgr-dbg (<< 3.0.1-1)
-Description: debug symbols for repmgr for PostgreSQL 9.4
+Description: debug symbols for repmgr for PostgreSQL 9.5
  Since version 9.0, PostgreSQL allow you to have replicated hot
  standby servers which you can query and/or use for high availability.
  While the main components of the feature are included with
@@ -100,5 +102,5 @@
  repmgr allows you to monitor and manage your replicated PostgreSQL
  databases as a single cluster.
  .
- This package contains debug symbols for repmgr for PostgreSQL 9.4.
+ This package contains debug symbols for repmgr for PostgreSQL 9.5.

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,10 @@
 
 .PHONY: override_dh_strip
 override_dh_strip:
-	dh_strip --dbg-package=repmgr-dbg
+	set -e ; \
+	for v in `pg_buildext supported-versions .` ; do \
+		dh_strip -ppostgresql-$$v-repmgr --dbg-package=postgresql-$$v-repmgr-dbg ; \
+	done
 
 .PHONY: override_dh_auto_install
 override_dh_auto_install:
@@ -34,13 +37,10 @@
 		$(MAKE) clean PG_CONFIG=$$PG_CONFIG ; \
 		mkdir -p $$BASE/usr/share/postgresql/$$v/contrib ; \
 		$(MAKE) install_ext DESTDIR=$$BASE PG_CONFIG=$$PG_CONFIG ; \
-	done ; \
-	$(MAKE) all PG_CONFIG=$$PG_CONFIG ; \
-	BASE=$(CURDIR)/debian/repmgr ; \
-	mkdir -p $$BASE/usr/bin $$BASE/usr/lib/postgresql/$$v/bin ; \
-	$(MAKE) install_prog DESTDIR=$$BASE PG_CONFIG=$$PG_CONFIG ; \
-	mv $$BASE/usr/lib/postgresql/$$v/bin/* $$BASE/usr/bin ; \
-	rmdir -p --ignore-fail-on-non-empty $$BASE/usr/lib/postgresql/$$v/bin
+		$(MAKE) all PG_CONFIG=$$PG_CONFIG ; \
+		mkdir -p $$BASE/usr/lib/postgresql/$$v/bin ; \
+		$(MAKE) install_prog DESTDIR=$$BASE PG_CONFIG=$$PG_CONFIG ; \
+	done
 
 .PHONY: override_dh_strip
 override_dh_installinit:

=== debian/watch ===
version=3
opts="uversionmangle=s/((?i)alpha|beta|rc)/~\L$1\E/,filenamemangle=s/(repmgr-.+?)((?i)alpha|beta|rc)/$1~\L$2\E/,pgpsigurlmangle=s/$/.asc/" \
http://www.repmgr.org/download/ repmgr-(.+)\.tar\.gz

## repmgr 3.1.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile
-# Copyright (c) 2ndQuadrant, 2010-2015
+# Copyright (c) 2ndQuadrant, 2010-2016
 
 repmgrd_OBJS = dbutils.o config.o repmgrd.o log.o strutil.o
 repmgr_OBJS = dbutils.o check_dir.o config.o repmgr.o log.o strutil.o
@@ -67,16 +67,21 @@
 	rm -f repmgr
 	$(MAKE) -C sql clean
 
+# Get correct version numbers and install paths, depending on your postgres version
+PG_VERSION = $(shell pg_config --version | cut -d ' ' -f 2 | cut -d '.' -f 1,2)
+REPMGR_VERSION = $(shell grep REPMGR_VERSION version.h | cut -d ' ' -f 3 | cut -d '"' -f 2)
+PKGLIBDIR = $(shell pg_config --pkglibdir)
+SHAREDIR = $(shell pg_config --sharedir)
+
 deb: repmgrd repmgr
 	mkdir -p ./debian/usr/bin
 	cp repmgrd repmgr ./debian/usr/bin/
-	mkdir -p ./debian/usr/share/postgresql/9.0/contrib/
-	cp sql/repmgr_funcs.sql ./debian/usr/share/postgresql/9.0/contrib/
-	cp sql/uninstall_repmgr_funcs.sql ./debian/usr/share/postgresql/9.0/contrib/
-	mkdir -p ./debian/usr/lib/postgresql/9.0/lib/
-	cp sql/repmgr_funcs.so ./debian/usr/lib/postgresql/9.0/lib/
+	mkdir -p ./debian$(SHAREDIR)/contrib/
+	cp sql/repmgr_funcs.sql ./debian$(SHAREDIR)/contrib/
+	cp sql/uninstall_repmgr_funcs.sql ./debian$(SHAREDIR)/contrib/
+	mkdir -p ./debian$(PKGLIBDIR)/
+	cp sql/repmgr_funcs.so ./debian$(PKGLIBDIR)/
 	dpkg-deb --build debian
-	mv debian.deb ../postgresql-repmgr-9.0_1.0.0.deb
+	mv debian.deb ../postgresql-repmgr-$(PG_VERSION)_$(REPMGR_VERSION).deb
 	rm -rf ./debian/usr
 
-

=== debian/changelog ===
repmgr (3.1.1-1~bpo70+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 04 Apr 2016 11:55:30 +0200

repmgr (3.1.1-1) unstable; urgency=medium

  * Imported Upstream version 3.1.1
  * Use HTTPS protocol in Vcs-Browser URI inside debian/control file

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 23 Feb 2016 19:11:25 +0100

repmgr (3.0.3-2~bpo70+1) wheezy-backports-sloppy; urgency=low

  * Rebuild for wheezy-backports-sloppy.

 -- Christoph Berg <myon@debian.org>  Thu, 18 Feb 2016 12:21:23 +0100

repmgr (3.0.2-2~bpo70+1) wheezy-backports-sloppy; urgency=low

  * Rebuild for wheezy-backports-sloppy to get PostgreSQL 9.4 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 26 Nov 2015 10:59:07 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libxslt1-dev
 Standards-Version: 3.9.6
 Homepage: http://www.repmgr.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/repmgr.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-postgresql/repmgr.git
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/repmgr.git
 XS-Testsuite: autopkgtest
 
@@ -70,11 +70,11 @@
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 
-Package: postgresql-9.5-repmgr
+Package: postgresql-9.4-repmgr
 Architecture: any
-Depends: postgresql-9.5, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-9.4, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: rsync
-Description: replication manager for PostgreSQL 9.5
+Description: replication manager for PostgreSQL 9.4
  Since version 9.0, PostgreSQL allow you to have replicated hot
  standby servers which you can query and/or use for high availability.
  While the main components of the feature are included with
@@ -84,15 +84,15 @@
  repmgr allows you to monitor and manage your replicated PostgreSQL
  databases as a single cluster.
  .
- This package contains repmgr for PostgreSQL 9.5.
+ This package contains repmgr for PostgreSQL 9.4.
 
-Package: postgresql-9.5-repmgr-dbg
+Package: postgresql-9.4-repmgr-dbg
 Section: debug
 Architecture: any
-Depends: postgresql-9.5-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-9.4-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: repmgr-dbg (<< 3.0.1-1)
 Breaks: repmgr-dbg (<< 3.0.1-1)
-Description: debug symbols for repmgr for PostgreSQL 9.5
+Description: debug symbols for repmgr for PostgreSQL 9.4
  Since version 9.0, PostgreSQL allow you to have replicated hot
  standby servers which you can query and/or use for high availability.
  While the main components of the feature are included with
@@ -102,5 +102,5 @@
  repmgr allows you to monitor and manage your replicated PostgreSQL
  databases as a single cluster.
  .
- This package contains debug symbols for repmgr for PostgreSQL 9.5.
+ This package contains debug symbols for repmgr for PostgreSQL 9.4.

## repmgr 3.1.5

=== Makefile ===
--- 
+++ 
@@ -2,23 +2,32 @@
 # Makefile
 # Copyright (c) 2ndQuadrant, 2010-2016
 
+HEADERS = $(wildcard *.h)
+
 repmgrd_OBJS = dbutils.o config.o repmgrd.o log.o strutil.o
-repmgr_OBJS = dbutils.o check_dir.o config.o repmgr.o log.o strutil.o
+repmgr_OBJS = dbutils.o check_dir.o config.o repmgr.o log.o strutil.o dirmod.o
 
 DATA = repmgr.sql uninstall_repmgr.sql
 
 PG_CPPFLAGS = -I$(libpq_srcdir)
-PG_LIBS = $(libpq_pgport)
+PG_LIBS     = $(libpq_pgport)
 
-all:  repmgrd repmgr
+
+all: repmgrd repmgr
 	$(MAKE) -C sql
 
 repmgrd: $(repmgrd_OBJS)
-	$(CC) $(CFLAGS) $(repmgrd_OBJS) $(PG_LIBS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o repmgrd
+	$(CC) -o repmgrd $(CFLAGS) $(repmgrd_OBJS) $(PG_LIBS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS)
 	$(MAKE) -C sql
 
 repmgr: $(repmgr_OBJS)
-	$(CC) $(CFLAGS) $(repmgr_OBJS) $(PG_LIBS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS) -o repmgr
+	$(CC) -o repmgr $(CFLAGS) $(repmgr_OBJS) $(PG_LIBS) $(LDFLAGS) $(LDFLAGS_EX) $(LIBS)
+
+# Make all objects depend on all include files. This is a bit of a
+# shotgun approach, but the codebase is small enough that a complete rebuild
+# is very fast anyway.
+$(repmgr_OBJS): $(HEADERS)
+$(repmgrd_OBJS): $(HEADERS)
 
 ifdef USE_PGXS
 PG_CONFIG = pg_config
@@ -31,8 +40,8 @@
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
 
-# XXX: Try to use PROGRAM construct (see pgxs.mk) someday. Right now
-# is overriding pgxs install.
+# XXX: This overrides the pgxs install target - we're building two binaries,
+# which is not supported by pgxs.mk's PROGRAM construct.
 install: install_prog install_ext
 
 install_prog:
@@ -42,6 +51,12 @@
 
 install_ext:
 	$(MAKE) -C sql install
+
+# Distribution-specific package building targets
+# ----------------------------------------------
+#
+# XXX we recommend using the PGDG-supplied packages where possible;
+# see README.md for details.
 
 install_rhel:
 	mkdir -p '$(DESTDIR)/etc/init.d/'

=== sql/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile
 #
-# Copyright (c) 2ndQuadrant, 2010-2015
+# Copyright (c) 2ndQuadrant, 2010-2016
 #
 
 MODULE_big = repmgr_funcs

=== debian/changelog ===
repmgr (3.1.5-1) unstable; urgency=medium

  [ Christoph Berg ]
  * debian/repmgr-common.repmgrd.default: Fix spelling of REPMGRD_BIN and
    REPMGRD_PIDFILE settings. Spotted by Nikhil Sontakke.

  [ Marco Nenciarini ]
  * Imported Upstream version 3.1.5

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 16 Aug 2016 14:38:07 +0200

repmgr (3.1.4-1) unstable; urgency=medium

  * Imported Upstream version 3.1.4
  * Refreshed regress.patch

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 12 Jul 2016 16:08:15 +0200

repmgr (3.1.3-1) unstable; urgency=medium

  * Imported Upstream version 3.1.3
  * Bump standard version to 3.9.8.0 (no-chenges)

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 18 May 2016 15:55:11 +0200

repmgr (3.1.2-1) unstable; urgency=medium

  * Imported Upstream version 3.1.2
  * Refresh patches

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 13 Apr 2016 12:20:48 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libpam-dev,
  libxml2-dev,
  libxslt1-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.repmgr.org/
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-postgresql/repmgr.git
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/repmgr.git
@@ -70,11 +70,11 @@
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 
-Package: postgresql-9.4-repmgr
+Package: postgresql-9.5-repmgr
 Architecture: any
-Depends: postgresql-9.4, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-9.5, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: rsync
-Description: replication manager for PostgreSQL 9.4
+Description: replication manager for PostgreSQL 9.5
  Since version 9.0, PostgreSQL allow you to have replicated hot
  standby servers which you can query and/or use for high availability.
  While the main components of the feature are included with
@@ -84,15 +84,15 @@
  repmgr allows you to monitor and manage your replicated PostgreSQL
  databases as a single cluster.
  .
- This package contains repmgr for PostgreSQL 9.4.
+ This package contains repmgr for PostgreSQL 9.5.
 
-Package: postgresql-9.4-repmgr-dbg
+Package: postgresql-9.5-repmgr-dbg
 Section: debug
 Architecture: any
-Depends: postgresql-9.4-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-9.5-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: repmgr-dbg (<< 3.0.1-1)
 Breaks: repmgr-dbg (<< 3.0.1-1)
-Description: debug symbols for repmgr for PostgreSQL 9.4
+Description: debug symbols for repmgr for PostgreSQL 9.5
  Since version 9.0, PostgreSQL allow you to have replicated hot
  standby servers which you can query and/or use for high availability.
  While the main components of the feature are included with
@@ -102,5 +102,5 @@
  repmgr allows you to monitor and manage your replicated PostgreSQL
  databases as a single cluster.
  .
- This package contains debug symbols for repmgr for PostgreSQL 9.4.
+ This package contains debug symbols for repmgr for PostgreSQL 9.5.

## repmgr 3.2.1

=== Makefile ===
--- 
+++ 
@@ -87,10 +87,12 @@
 REPMGR_VERSION = $(shell grep REPMGR_VERSION version.h | cut -d ' ' -f 3 | cut -d '"' -f 2)
 PKGLIBDIR = $(shell pg_config --pkglibdir)
 SHAREDIR = $(shell pg_config --sharedir)
+PGBINDIR = /usr/lib/postgresql/$(PG_VERSION)/bin
 
 deb: repmgrd repmgr
-	mkdir -p ./debian/usr/bin
-	cp repmgrd repmgr ./debian/usr/bin/
+	mkdir -p ./debian/usr/bin ./debian$(PGBINDIR)
+	cp repmgrd repmgr ./debian$(PGBINDIR)
+	ln -s ../..$(PGBINDIR)/repmgr ./debian/usr/bin/repmgr
 	mkdir -p ./debian$(SHAREDIR)/contrib/
 	cp sql/repmgr_funcs.sql ./debian$(SHAREDIR)/contrib/
 	cp sql/uninstall_repmgr_funcs.sql ./debian$(SHAREDIR)/contrib/

## repmgr 3.3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 HEADERS = $(wildcard *.h)
 
 repmgrd_OBJS = dbutils.o config.o repmgrd.o log.o strutil.o
-repmgr_OBJS = dbutils.o check_dir.o config.o repmgr.o log.o strutil.o dirmod.o
+repmgr_OBJS = dbutils.o check_dir.o config.o repmgr.o log.o strutil.o dirmod.o compat.o
 
 DATA = repmgr.sql uninstall_repmgr.sql

=== debian/changelog ===
repmgr (3.3-2) unstable; urgency=medium

  * Add workaround for FTBFS on apt.postgresql.org

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 05 Jan 2017 11:24:04 +0100

repmgr (3.3-1) unstable; urgency=medium

  * New upstream version 3.3

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 27 Dec 2016 14:00:50 +0100

repmgr (3.2.1-2) unstable; urgency=medium

  * Depends on postgresql-9.6.
    Thanks to Emilio Pozuelo Monfort <pochu@debian.org> (Closes: 843039)

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 03 Nov 2016 12:35:10 +0100

repmgr (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 27 Oct 2016 16:34:48 +0200

repmgr (3.2-1) unstable; urgency=medium

  * New upstream version 3.2
  * Declare the repmgr-common dependency from lsb-base

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 05 Oct 2016 14:15:53 +0200

repmgr (3.1.5-2) unstable; urgency=medium

  * Upload with 9.6 support.

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 29 Sep 2016 11:49:38 +0200

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
 Architecture: all
 Depends:
  postgresql-common (>= 26),
+ lsb-base (>= 3.0-6),
  ${misc:Depends}
 Replaces: repmgr (<< 3.0.1-1)
 Breaks: repmgr (<< 3.0.1-1)
@@ -37,6 +38,7 @@
 Package: repmgr
 Architecture: all
 Depends:
+ postgresql-9.6-repmgr |
  postgresql-9.5-repmgr |
  postgresql-9.4-repmgr |
  postgresql-9.3-repmgr |
@@ -60,6 +62,7 @@
 Section: debug
 Architecture: all
 Depends:
+ postgresql-9.6-repmgr-dbg |
  postgresql-9.5-repmgr-dbg |
  postgresql-9.4-repmgr-dbg |
  postgresql-9.3-repmgr-dbg |
@@ -70,11 +73,11 @@
 Description: transitional dummy package
  This is a transitional dummy package. It can safely be removed.
 
-Package: postgresql-9.5-repmgr
+Package: postgresql-9.6-repmgr
 Architecture: any
-Depends: postgresql-9.5, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-9.6, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: rsync
-Description: replication manager for PostgreSQL 9.5
+Description: replication manager for PostgreSQL 9.6
  Since version 9.0, PostgreSQL allow you to have replicated hot
  standby servers which you can query and/or use for high availability.
  While the main components of the feature are included with
@@ -84,15 +87,15 @@
  repmgr allows you to monitor and manage your replicated PostgreSQL
  databases as a single cluster.
  .
- This package contains repmgr for PostgreSQL 9.5.
+ This package contains repmgr for PostgreSQL 9.6.
 
-Package: postgresql-9.5-repmgr-dbg
+Package: postgresql-9.6-repmgr-dbg
 Section: debug
 Architecture: any
-Depends: postgresql-9.5-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: postgresql-9.6-repmgr (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: repmgr-dbg (<< 3.0.1-1)
 Breaks: repmgr-dbg (<< 3.0.1-1)
-Description: debug symbols for repmgr for PostgreSQL 9.5
+Description: debug symbols for repmgr for PostgreSQL 9.6
  Since version 9.0, PostgreSQL allow you to have replicated hot
  standby servers which you can query and/or use for high availability.
  While the main components of the feature are included with
@@ -102,5 +105,5 @@
  repmgr allows you to monitor and manage your replicated PostgreSQL
  databases as a single cluster.
  .
- This package contains debug symbols for repmgr for PostgreSQL 9.5.
+ This package contains debug symbols for repmgr for PostgreSQL 9.6.

## repmgr 3.3.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Makefile
-# Copyright (c) 2ndQuadrant, 2010-2016
+# Copyright (c) 2ndQuadrant, 2010-2017
 
 HEADERS = $(wildcard *.h)

=== sql/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #
 # Makefile
 #
-# Copyright (c) 2ndQuadrant, 2010-2016
+# Copyright (c) 2ndQuadrant, 2010-2017
 #
 
 MODULE_big = repmgr_funcs

=== debian/changelog ===
repmgr (3.3.1-1) unstable; urgency=medium

  * New upstream version 3.3.1

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 21 Mar 2017 13:51:36 +0100

## repmgr 4.0.0

=== debian/changelog ===
repmgr (4.0.0-2) unstable; urgency=medium

  [ Marco Nenciarini ]
  * Support dbg packages on older distributions

  [ Christoph Berg ]
  * Restrict libselinux1-dev Build-Dependency to linux-any.

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 27 Nov 2017 23:50:41 +0100

repmgr (4.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0
  * Changed priority to optional as per policy 4.0.1

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 21 Nov 2017 11:23:09 +0100

repmgr (4.0~beta1-1) experimental; urgency=medium

  * New upstream major version 4.0~beta1
  * Bump standard version to 4.1.1 (no changes)

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 10 Oct 2017 13:02:29 +0200

repmgr (3.3.2-1) unstable; urgency=medium

  * New upstream version 3.3.2
  * Removed all patches, they have been merged upstream

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 05 Jun 2017 11:14:53 +0200

=== debian/control ===
Source: repmgr
Section: database
Priority: optional
Maintainer: Marco Nenciarini <mnencia@debian.org>
Build-Depends:
 debhelper (>= 9),
 postgresql-server-dev-all (>= 153~),
 libedit-dev,
 libpam-dev,
 libxml2-dev,
 libxslt1-dev,
 libssl-dev,
 libselinux1-dev [linux-any],
 krb5-multidev,
 zlib1g-dev
Standards-Version: 4.1.1
Homepage: http://www.repmgr.org/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-postgresql/repmgr.git
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/repmgr.git

Package: repmgr-common
Architecture: all
Depends:
 postgresql-common (>= 26),
 lsb-base (>= 3.0-6),
 ${misc:Depends}
Replaces: repmgr (<< 3.0.1-1)
Breaks: repmgr (<< 3.0.1-1)
Description: replication manager for PostgreSQL common files
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr files common to all versions.

Package: repmgr
Architecture: all
Depends:
 postgresql-10-repmgr |
 postgresql-9.6-repmgr |
 postgresql-9.5-repmgr |
 postgresql-9.4-repmgr |
 postgresql-9.3-repmgr |
 postgresql-9.2-repmgr |
 postgresql-9.1-repmgr |
 postgresql-9.0-repmgr,
 ${misc:Depends}
Description: replication manager for PostgreSQL (metapackage)
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This is a metapackage that depends on the version specific packages.

Package: postgresql-10-repmgr
Architecture: any
Depends: postgresql-10, repmgr-common (>= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: rsync
Description: replication manager for PostgreSQL 10
 repmgr is an open-source tool suite for managing replication and failover in a
 cluster of PostgreSQL servers. It enhances PostgreSQL's built-in hot-standby
 capabilities with tools to set up standby servers, monitor replication, and
 perform administrative tasks such as failover or manual switchover operations.
 .
 This package contains repmgr for PostgreSQL 10.

## repmgr 4.0.3

=== debian/changelog ===
repmgr (4.0.3-1) unstable; urgency=medium

  * New upstream version 4.0.3

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 15 Feb 2018 09:50:39 +0100

repmgr (4.0.2-1) unstable; urgency=medium

  [ Christoph Berg ]
  * Move packaging repository to salsa.debian.org

  [ Marco Nenciarini ]
  * New upstream version 4.0.2

 -- Marco Nenciarini <mnencia@debian.org>  Wed, 17 Jan 2018 11:11:14 +0100

repmgr (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 11 Dec 2017 14:39:29 +0000

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
  zlib1g-dev
 Standards-Version: 4.1.1
 Homepage: http://www.repmgr.org/
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-postgresql/repmgr.git
-Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/repmgr.git
+Vcs-Browser: https://salsa.debian.org/postgresql/repmgr
+Vcs-Git: https://salsa.debian.org/postgresql/repmgr.git
 
 Package: repmgr-common
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_configure:
	+pg_buildext configure build-%v "--libdir=/usr/lib/postgresql/%v/lib --datadir=/usr/share/postgresql-%v-repmgr"

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-repmgr

override_dh_installinit:
	dh_installinit --name=repmgrd

override_dh_auto_clean:
	+pg_buildext clean build-%v

#dbg#override_dh_strip:
#dbg#	set -e ; \
#dbg#	for v in `pg_buildext supported-versions .` ; do \
#dbg#	        dh_strip -ppostgresql-$$v-repmgr --dbg-package=postgresql-$$v-repmgr-dbg ; \
#dbg#	done

%:
	dh $@

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all
Tests: installcheck
Restrictions: allow-stderr build-needed

## repmgr 4.0.4

=== debian/changelog ===
repmgr (4.0.4-1) unstable; urgency=medium

  * New upstream version 4.0.4
  * debian/control{.in,}, debian/watch: Changed repmgr.org URLs to use
    https protocol.

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 08 Mar 2018 14:38:01 +0100

## repmgr 4.0.6

=== debian/changelog ===
repmgr (4.0.6-1) unstable; urgency=medium

  * New upstream version 4.0.6

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 03 Jul 2018 17:00:40 +0200

repmgr (4.0.5-1) unstable; urgency=medium

  * New upstream version 4.0.5

 -- Marco Nenciarini <mnencia@debian.org>  Tue, 01 May 2018 16:02:01 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  krb5-multidev,
  zlib1g-dev
 Standards-Version: 4.1.1
-Homepage: http://www.repmgr.org/
+Homepage: https://www.repmgr.org/
 Vcs-Browser: https://salsa.debian.org/postgresql/repmgr
 Vcs-Git: https://salsa.debian.org/postgresql/repmgr.git
